Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui
Interface IWorkbenchSite

All Superinterfaces:
  IAdaptable

All Known Subinterfaces:
  IEditorSite, IIntroSite, IPageSite, IViewSite, IWorkbenchPartSite

All Known Implementing Classes:
  MultiPageEditorSite, PageSite

public interface IWorkbenchSite
extends IAdaptable

The common interface between the workbench and its parts, including pages within parts.

This interface is not intended to be implemented or extended by clients.

Since:
  2.0
See Also:
  `IWorkbenchPartSite`, `IPageSite`

Method Summary
`IWorkbenchPage` | `getPage()` Returns the page containing this workbench site.
`ISelectionProvider` | `getSelectionProvider()` Returns the selection provider for this workbench site.
`Shell` | `getShell()` Returns the shell for this workbench site.
`IWorkbenchWindow` | `getWorkbenchWindow()` Returns the workbench window containing this workbench site.
`void` | `setSelectionProvider(ISelectionProvider provider)` Sets the selection provider for this workbench site.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getPage

    public IWorkbenchPage getPage()

  Returns the page containing this workbench site.

  Returns:
    the page containing this workbench site

### getSelectionProvider

    public ISelectionProvider getSelectionProvider()

  Returns the selection provider for this workbench site.

  Returns:
    the selection provider, or `null` if none

### getShell

    public Shell getShell()

  Returns the shell for this workbench site.

  Returns:
    the shell for this workbench site

### getWorkbenchWindow

    public IWorkbenchWindow getWorkbenchWindow()

  Returns the workbench window containing this workbench site.

  Returns:
    the workbench window containing this workbench site

### setSelectionProvider

    public void setSelectionProvider(ISelectionProvider provider)

  Sets the selection provider for this workbench site.

  Parameters:
    `provider` - the selection provider, or `null` to clear it

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.